var ligaRedirect="";

function cancelarEncuesta242()
{
    $("#cancelarEncuesta242").html('<i class="fa fa-spin fa-spinner"></i> Cargando...');
    var url = '../controllers/Encuesta242Controller.php';
    var $datos='&opc='+$('#opc').val()+'&userId='+$('#userId').val()+'&nombreAlumno='+$('#nombreAlumno').val();
    $.post(url,$datos,
        function (data)
        {
            if(data.type==='success'){
                mostrarMensajeGuardado("Reintentar el ejercicio", "Se reintentará el ejercicio.", "success", "Aceptar")
            }
            else
            {
                mostrarMensajeGuardado("Reintentar el ejercicio", "No se reintentará el ejercicio.", "error", "Aceptar")
            }
            document.getElementById("cancelarEncuesta242").disabled=false;
            $('#cancelarEncuesta242').html('<i class="fa fa-recycle"></i>&nbsp;Reintentar Ejercicio');
            ligaRedirect ="https://sadpro.osvaldo.com/encuesta2/controllers/Encuesta242Controller.php?userId="+data.userId+"&nombreAlumno="+data.nombreAlumno+"&opc="+data.opc;
        }, 'json');
}

function confirmarCancelacionEncuesta()
{
    Swal.fire({
        title: 'Reintentar el ejercicio',
        icon: 'warning',
        html:
            '<b class="text-primary">&iquest;Realmente deseas reintentar el ejercicio?</b><br><br>' +
            'Recuerda que <strong>no</strong> vas a poder visualizar el resultado del ejercicio que acabas de realizar.',
        showCancelButton: true,
        confirmButtonText: '<i class="fa fa-check"></i>&nbsp;Confirmar Reintento',
        confirmButtonColor: '#2A4494',
        cancelButtonText: '<i class="fa fa-close"></i>&nbsp;Cancelar',
    }).then((result) => {
        /* Read more about isConfirmed, isDenied below */
        if (result.isConfirmed) {
            cancelarEncuesta242();
        }
    })
}

function pdfResultadoEncuesta242()
{
    window.open('https://sadpro.osvaldo.com/encuesta2/views/resultadoencuesta242pdf.php?opc='+$('#opc').val()+'&userId='+$('#userId').val()+'&encuestaId='+$('#encuestaId').val()+'&nombreAlumno='+$('#nombreAlumno').val(),'_blank');
}

function mostrarMensajeGuardado(titulo,texto,icon,button)
{
    Swal.fire({
        title: titulo,
        html: texto,
        icon: icon,
        confirmButtonColor: '#3085d6',
        confirmButtonText: '<i class="fa fa-close"> '+button,
        willClose: () => {
            if(ligaRedirect!="")
            {
                window.location=ligaRedirect;
            }
        }
    }).then((result) => {
        if (result.isConfirmed) {
            if(ligaRedirect!="")
            {
                window.location=ligaRedirect;
            }
        }
    })
}